{% extends 'base_1.html' %}

{% load i18n %}
{% load static %}
{% load widget_tweaks %}

{% block content %}
<main id="main">
    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
        <div class="breadcrumb-hero">
            <div class="container">
                <div class="breadcrumb-hero">
                    <h2>{% trans "Filter" %}</h2>
                </div>
            </div>
        </div>
        <div class="container">
            <ol>
                <li><a href="{% url 'home' %}">{% trans "Home" %}</a></li>
                <li>{% trans "Location" %}</li>
            </ol>
        </div>
    </section>
    <!-- End Breadcrumbs -->

    <div class="container">
        <div class="card">
            <div class="card-body">
                <form method="get">
                    <div class="row">
                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.name.label_tag }}
                            {% render_field filter.form.name class="form-control" %}
                        </div>

                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.budget.label_tag }}
                            {% render_field filter.form.budget class="form-control" %}
                        </div>

                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.person_number.label_tag }}
                            {% render_field filter.form.person_number class="form-control" %}
                        </div>

                        <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.location_start.label_tag }}
                            {% render_field filter.form.location_start class="form-control" %}
                        </div>

                        <!-- <div class="form-group col-sm-4 col-md-3">
                            {{ filter.form.type_generate.label_tag }}
                            {% render_field filter.form.type_generate class="form-control" %}
                        </div> -->

                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn btn-primary">{% trans "Search" %}</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>{% trans "Location Name" %}</th>
                        <th>{% trans "Cost" %}</th>
                        <th>{% trans "Location Start" %}</th>
                        <!-- <th>{% trans "Tags" %}</th> -->
                        <th>{% trans "Person Number" %}</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in filter.qs %}
                    <tr>
                        <td><a>{{ item.name }}</a></td>
                        <td>{{ item.budget }}</td>
                        <td>{{ item.location_start }}</td>
                        <!-- <td>
                            <span class="tableCell">
                                {% for tag in item.tags.all %}
                                <a href="#" class="badge badge-info">#{{ tag }}</a>
                                {% empty %}
                                <em class="text-muted">{% trans "No Tags" %}</em>
                                {% endfor %}
                            </span>
                        </td> -->
                        <td>{{ item.person_number }}</td>
                    </tr>
                    {% empty %}
                    <tr>
                        <td colspan="5">{% trans "No Data" %}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

</main>
{% endblock %}


{% block custom_js %}

{% endblock %}